1. Hey Guest! Our new game Wargroove has released! Check out the forums or wiki for more information!
    Dismiss Notice

Tool SMAPI: Stardew Modding API

Discussion in 'Mods' started by ClxS, Mar 6, 2016.

  1. slayyyter

    slayyyter Space Hobo

    hi there! sorry to be such a nuisance but i'm having trouble updating smapi! im using the guide on the sdv wiki and whenever i enter the command it's not working and just saying "
    No such xattr: com.apple.quarantine" if anyone could help me that would be great!
     
    • Pathoschild

      Pathoschild Cosmos Killer

      @thiswill Can you make sure that your audio drivers are up-to-date? Unfortunately I'm not sure what else to suggest, since it's not an issue with SMAPI or the game.

      @slayyyter Does it work if you skip that step?

      @Valkyr Here you go! (I also changed the upcoming SMAPI 3.0 to prevent invalid items from breaking the menu.)
       

        Attached Files:

        Valkyr likes this.
      • Axodique

        Axodique Space Hobo

        Sorry to bother but i have a problem with smapi! the game crashes on startup with sampi! log:
        https://log.smapi.io/JUdtAzT4

        nvm fixed by installing the latest version of smapi
         
          Last edited by a moderator: Mar 10, 2019
          gabarrameda likes this.
        • lysbliss11

          lysbliss11 Space Hobo

          Question, is there a way to get rid of the original .xnb files of all the barn/coop animals so I would only have my own custom skins I have? (I'm using the More Animals mod rn but I keep getting original animals when I buy an animal)
           
          • Pathoschild

            Pathoschild Cosmos Killer

            @lysbliss11 Nope, the game needs the original files. I suggest reporting the More Animals bug to the author if it's not correctly changing new animals.
             
            • lysbliss11

              lysbliss11 Space Hobo

              Ah, okay, I'll just sell them and buy some more to try and get the new skins.
               
              • slayyyter

                slayyyter Space Hobo

                hi, @Pathoschild sorry it took so long to respond but whenever i try to skip the step i get "Cannot open assembly 'internal/unix-install.exe': No such file or directory."
                 
                • DragonAce5o9

                  DragonAce5o9 Space Hobo

                  I can't open Stardew Valley. Every time I try, the smapi says that my game crashed. There is an option to delete the crash data and open anyway, and I've tried that, but when I do, it seems like it's opening then it crashes anyway. It said to go to this link. What do I do to get it to work? What is wrong with it? (Yes, I tried restarting my computer)
                   
                  • DragonAce5o9

                    DragonAce5o9 Space Hobo

                    Mine is doing that! Where can I install the latest smapi?
                     
                    • Mizzion

                      Mizzion Subatomic Cosmonaut

                    • Mizzion

                      Mizzion Subatomic Cosmonaut

                      Can you upload your log to http://log.smapi.io and share the link with us. Most likely you just need to update your SMAPI version.
                       
                      • Pathoschild

                        Pathoschild Cosmos Killer

                        @slayyyter Make sure you extract all the files before running the installer. If it still doesn't work, can you post screenshots of what's in the installer folder, and what's in its internal subfolder?
                         
                        • Dayla Coloride

                          Dayla Coloride Space Hobo

                          My game is crashing and i dont know why... somebody help me ;-;
                           
                          • slayyyter

                            slayyyter Space Hobo

                            @Pathoschild wow i feel like such an idiot it worked thank you so much
                             
                            • Pathoschild

                              Pathoschild Cosmos Killer

                            • rebeccaslugocki

                              rebeccaslugocki Space Spelunker

                            • Pathoschild

                              Pathoschild Cosmos Killer

                              @rebeccaslugocki Can you make sure all players have the exact same Kisekae files? That error usually happens if another player has a shirt that doesn't exist in your game.
                               
                              • TranquilizerDart

                                TranquilizerDart Space Hobo

                                Whenever I try to play this always come up
                                upload_2019-3-15_6-15-25.png
                                Or when I tried using the latest version for the Cheats Mod It went gray and just closed without opening the game. It's making me really mad watching all these people having fun with the mods well I can only sit here and watch. Can anybody help me out? My Discord is TranquilizerDart#4276, add me if you want to privately explain to me what I need to do. Thank you
                                 
                                • paxchristos

                                  paxchristos Void-Bound Voyager

                                  Your SMAPI version is wildly out of date. Current release is 2.11 and can be found on smapi.io .
                                   
                                  • TranquilizerDart

                                    TranquilizerDart Space Hobo

                                    I know, On the mod page it said to use 1.5, I originally tried using 2.11 and it would pop up but close in a few seconds with an Error Message.
                                     

                                    Share This Page